#!/bin/bash

while true
do
    obsid=$(redis-cli -h ${REDIS_SERVER} -a 123456 rpop single-image-reduction:obsid)
    echo "obsid : "$obsid

    if [ -z "$obsid" ]; then
        echo "obsid is empty"
        exit 0
    else
        echo "obsid is not empty"
        send-message $obsid
        code=$?
        #code值不为0时，退出
        if [ $code -ne 0 ]; then
            exit $code
        fi
    fi
    echo $code
done